Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
Highlighted
Developer
Posts: 80
Registered: ‎06-06-2011
My Device: bold 9000
My Carrier: airtel

can .cod file of lower version of rim os be installed in Z10(running bb10 os)

Hi All,

 

We had developed an application for Rim Os version 4.6 onwards and it is working fine.

 

But recently we had a query from one of our end users that the same application was installed Blackberry Z10 device and it is throwing an error.

 

So can any one please let me know whether a .cod file of older version of Blackberry Os be installed on the new Blackberry 10 OS.

 

Hoping to hear from you Soon

 

Thanks In Advance 

Krishnan.

Developer
Developer
Posts: 1,123
Registered: ‎02-10-2009
My Device: 8130 / 8350 / 9530 / 9550 / 9850 / PlayBook
My Carrier: Verizon

Re: can .cod file of lower version of rim os be installed in Z10(running bb10 os)

BB10 OS does not support java except in the Android Runtime which isn't directly compatible with the BB Java.
Contributor
Posts: 25
Registered: ‎11-09-2010
My Device: Not Specified

Re: can .cod file of lower version of rim os be installed in Z10(running bb10 os)

Hi, so it means any application developed for OS < OS10 cant any longer run on the Z10? it should be developed from scratch?

Tx AviB

Developer
Posts: 16,992
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport
My Carrier: O2 Germany

Re: can .cod file of lower version of rim os be installed in Z10(running bb10 os)

yes
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter